%define	name pam_ccreds
%define	version	0.1
%define	release	3mdk

Summary: 	A caching pam module for disconnected operation
Name:       %{name}
Version:    %{version}
Release:    %{release}
Source: 	http://www.padl.com/download/%{name}.tar.bz2
Patch:		pam_ccreds-dbnss.patch.bz2
Group:		System/Libraries
License:	GPL
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: pam-devel
BuildRequires: db_nss-devel >= 4.2.52-5mdk
BuildRequires: openssl-devel
Url:		http://www.padl.com/

%description
The pam_ccreds module provides a mechanism for caching
credentials when authenticating against a network
authentication service, so that authentication can still
proceed when the service is down. Note at present no
mechanism is provided for caching _authorization_ 
information, i.e. whether you are allowed to login once
authenticated. Doing this is more difficult than it
first sounds.

%prep
%setup -q -n %{name}-1
%patch0 -p1 -b .dbnss

%build
autoreconf
%configure2_5x --libdir=/%{_lib}
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_lib}/security
mkdir -p %{buildroot}/%{_sbindir}
install pam_ccreds.so %{buildroot}/%{_lib}/security
install cc_dump cc_test %{buildroot}/%{_sbindir}

%files
%defattr(-,root,root,755)
%doc AUTHORS README ChangeLog pam.conf
%{_sbindir}/cc_dump
%{_sbindir}/cc_test
/%{_lib}/security/pam_ccreds.so

%clean
rm -rf %{buildroot}

%changelog
* Sat Sep 17 2005 Luca Berra <bluca@vodka.it> 0.1-3mdk
- rebuild

* Mon Aug 16 2004 Luca Berra <bluca@vodka.it> 0.1-2mdk 
- updated to use libdb_nss 4.2

* Tue Mar 02 2004 Luca Berra <bluca@vodka.it> 0.1-1mdk 
- initial mandrake contrib

